package com.zd.laboratory.domain;

import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.hibernate.validator.constraints.Length;

/**
 * 安全分级对象 lab_safe_classified
 *
 * @author zd
 * @date 2021-12-18
 */
@ApiModel("安全分级")
public class LabSafeClassified extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 自增id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 部门名称 */
    @Excel(name = "部门名称")
    @Length(message = "部门名称长度不能超过64")
    @ApiModelProperty(value = "部门名称")
    private String deptName;
    /** 部门id */
    @Excel(name = "部门id")
    @ApiModelProperty(value = "部门id")
    private Long deptId;
    /** 创建人（用于数据权限） */
    @Excel(name = "创建人", readConverterExp = "用=于数据权限")
    @ApiModelProperty(value = "创建人")
    private Long userId;
    /** 分级名称 */
    @Excel(name = "分级名称")
    @Length(message = "分级名称长度不能超过500")
    @ApiModelProperty(value = "分级名称")
    private String classifiedName;
    /** 颜色编码 */
    @Excel(name = "颜色编码")
    @Length(message = "颜色编码")
    @ApiModelProperty(value = "颜色编码")
    private String classifiedColor;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDeptName(String deptName)
    {
        this.deptName = deptName;
    }

    public String getDeptName()
    {
        return deptName;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setUserId(Long userId)
    {
        this.userId = userId;
    }

    public Long getUserId()
    {
        return userId;
    }
    public void setClassifiedName(String classifiedName)
    {
        this.classifiedName = classifiedName;
    }

    public String getClassifiedName()
    {
        return classifiedName;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptName", getDeptName())
            .append("deptId", getDeptId())
            .append("createTime", getCreateTime())
            .append("userId", getUserId())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .append("classifiedName", getClassifiedName())
            .append("classifiedColor", getClassifiedColor())
            .toString();
    }

    public String getClassifiedColor() {
        return classifiedColor;
    }

    public void setClassifiedColor(String classifiedColor) {
        this.classifiedColor = classifiedColor;
    }
}
